Subject: Grazingland Animal Nutrition Lab

From: CS <[email-masked]>
Date: Thu, 27 Jun 1996 10:30:37 -0700

We are a service lab at Texas A&M University in the Dept. of Rangeland 
Ecology and Management and specialize in analyzing livestock fecal 
matter. Through our methods, we can help help ranchers, producers gauge 
the nutritional status and future of their cattle, sheep, goats, or deer. 
We will help you to make informed decisions about the performance of your 
animals while helping you find a lower cost feed to help you meet your 
performance goals. Check us out at http://cnrit.tamu.edu/ganlab or e-mail 
us for an information packet.